--- ../doxygen.2/src/config.l	2007-02-08 10:15:35.000000000 +0300
+++ src/config.l	2007-02-08 10:14:00.000000000 +0300
@@ -329,7 +329,7 @@
 
 static FILE *tryPath(const char *path,const char *fileName)
 {
-  QCString absName=(QCString)path+"/"+fileName;
+  QCString absName=(path ? (QCString)path+"/"+fileName : (QCString)fileName);
   QFileInfo fi(absName);
   if (fi.exists() && fi.isFile())
   {
@@ -343,8 +343,27 @@
 static void substEnvVarsInStrList(QStrList &sl);
 static void substEnvVarsInString(QCString &s);
 
+static bool isAbsolute(const char * fileName)
+{
+# ifdef _WIN32
+  if (isaplha (fileName [0]) && fileName[1] == ':')
+    fileName += 2;
+# endif
+  char const fst = fileName [0];
+  if (fst == '/')  {
+    return true;
+  }
+# ifdef _WIN32
+  if (fst == '\\')
+    return true;
+# endif
+  return false;
+}
+
 static FILE *findFile(const char *fileName)
 {
+  if(isAbsolute(fileName))
+    return tryPath(NULL, fileName);
   substEnvVarsInStrList(includePathList);
   char *s=includePathList.first();
   while (s) // try each of the include paths
@@ -376,7 +395,6 @@
 
   FILE *f;
 
-  //printf("Searching for `%s'\n",incFileName.data());
   if ((f=findFile(inc))) // see if the include file can be found
   {
     // For debugging
